# -*- coding: utf-8 -*-

UNABLE_TO_CONNECT = -1
NOT_SUPPORTED = "n/s"
NOT_AVAILABLE = "n/a"
ERROR_OCCURRED = -2
UNSUPPORTED_VERSION = -3
EXISTING_CLUSTER = -4

#Cluster object timeout(min)
CLUSTER_TIMEOUT = 15

#Alert timeout(min)
ALERT_HISTORY_TIME = 5

#Errors
LATENCY_NOT_CONFIGURED = "error-not-trackingerror-not-trackingerror-not-trackingerror-not-tracking"
CONFIGURING_LATENCY = "error-run-too-short-or-back-too-smallerror-run-too-short-or-back-too-smallerror-run-too-short-or-back-too-smallerror-run-too-short-or-back-too-small"

#Secret App Key
SECRET_KEY = "a_random_secret_key_$%#!@"

#Alert retry times
NODE_DOWN_RETRY_TIME = 3
NODE_VISIBILITY_RETRY_TIME = 10
CLUSTER_SIZE_MISMATCH_RETRY_TIME = 5
REPL_FACTOR_MISMATCH_RETRY_TIME = 10

#AMC path
AMC_PATH = "/opt/amc/server/"

#Ansible Hosts File Path
ANSIBLE_HOSTS = "/opt/amc/config/ansible_hosts"
ANSIBLE_TIMEOUT = 120  #sec
ANSIBLE_TIMEOUT_ERROR = "Request timed out, Please check if a given user '%s' has sudo privileges or not."

#THROUGHPUT HISTORY LIMIT (30 min)
TPS_HISTORY_LIMIT = 1800

#THROUGHPUT HISTORY LIMIT FOR MOBILE VERSION (10 min)
TPS_HISTORY_LIMIT_FOR_MOBILE = 600

#AMC config file path
AMC_CONFIG_PATH = '/opt/amc/config/amc.cfg'

#AMC db path
AMC_DB_PATH = "/etc/amc/amc.db"

#Latency update interval
LATENCY_UPDATE_INTERVAL = 10 #sec

#LATENCY HISTORY LIMIT (30 min)
# for 5 min: change value to 30
LATENCY_HISTORY_LIMIT = 180

# BACKUP RESULT HISTORY MAINTENANCE TIME (20 sec)
BACKUP_AND_RESTORE_RESULT_HISTORY_TIME = 20

# Estimated max no. of connections per aerospike node from amc
MAX_CONNECTIONS_PER_NODE = 10
